Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.physics
Class Collector3dList

    java.lang.Object
      javax.vecmath.Tuple3d
          de.grogra.ray.physics.Spectrum3d
              de.grogra.ray.physics.Collector3d
                  de.grogra.ray.physics.Collector3dList

All Implemented Interfaces:
  Collector, Spectrum, DoubleToDouble, java.io.Serializable, java.lang.Cloneable

    public class Collector3dList

extends Collector3d

This class distinguish

Author:
  adge-k
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.grogra.ray.physics.Collector3d
`asCollector, rayCount, squareSumDirectionX, squareSumDirectionY, squareSumDirectionZ, squareSumSpectrumX, squareSumSpectrumY, squareSumSpectrumZ, sumDirectionX, sumDirectionY, sumDirectionZ, sumSpectrumX, sumSpectrumY, sumSpectrumZ`

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`Collector3dList()`
`Collector3dList(double x, double y, double z)`
`Collector3dList(Spectrum spectrum)`

Method Summary
`void` | `add(Spectrum collector)` Add the newSpectrum to the spectrum of this Collector-instance and update the statistics.
`void` | `addToStatistic(Tuple3d rayOrigin, Spectrum3d spectrum, double scaleFactor, boolean isPrimary)` Add the Vector of the origin of a certain ray, which hits the object for this corresponding Collector-instance.
`Collector3dList` | `clone()` Creates a copy of the Spectrum or a deep-copy of this instance.
`Collector3d` | `getPrimary()`
`Collector3d` | `getSecondary()`
`Collector3dList` | `newInstance()` Returns a new instance of this class.
`void` | `setZero()` Sets all values the instance to zero.

Methods inherited from class de.grogra.ray.physics.Collector3d
`add, addToStatistic, getCollectedValues, getDirectionArithmeticMean, getDirectionArithmeticMean, getDirectionVariance, getDirectionVariance, getRayCount, getSpectrumArithmeticMean, getSpectrumVariance, isCollector, normalize, normalize, setAsCollector`

Methods inherited from class de.grogra.ray.physics.Spectrum3d
`clampMinZero, div, div, div, dot, evaluateDouble, get, getMax, integrate, mul, mul, mul, set, setIdentity, sub, sum`

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, max, min, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.ray.physics.Spectrum
`clampMinZero, div, div, div, dot, evaluateDouble, get, get, getMax, integrate, mul, mul, mul, scale, set, set, set, setIdentity, sub, sum`

Constructor Detail

### Collector3dList

    public Collector3dList()

### Collector3dList

    public Collector3dList(double x,
                           double y,
                           double z)

### Collector3dList

    public Collector3dList(Spectrum spectrum)

Method Detail

### add

    public void add(Spectrum collector)

  Description copied from class: `Collector3d`
  Add the newSpectrum to the spectrum of this Collector-instance and update the statistics.

  Specified by:
    `add` in interface `Spectrum`
  Overrides:
    `add` in class `Collector3d`
  Parameters:
    `collector` - the spectrum to add

### addToStatistic

    public void addToStatistic(Tuple3d rayOrigin,
                               Spectrum3d spectrum,
                               double scaleFactor,
                               boolean isPrimary)

  Description copied from class: `Collector3d`
  Add the Vector of the origin of a certain ray, which hits the object for this corresponding Collector-instance. Notice: The direction and the weight of the direction doesn't depends on the absorbed power but on the intensity of the incoming ray.

  Overrides:
    `addToStatistic` in class `Collector3d`
  Parameters:
    `rayOrigin` - Where the light comes from.

### clone

    public Collector3dList clone()

  Description copied from class: `Collector3d`
  Creates a copy of the Spectrum or a deep-copy of this instance.

  Specified by:
    `clone` in interface `Collector`
  Specified by:
    `clone` in interface `Spectrum`
  Overrides:
    `clone` in class `Collector3d`
  Returns:
    Copy of this instance.

### getPrimary

    public Collector3d getPrimary()

### getSecondary

    public Collector3d getSecondary()

### newInstance

    public Collector3dList newInstance()

  Description copied from class: `Collector3d`
  Returns a new instance of this class.

  Specified by:
    `newInstance` in interface `Collector`
  Specified by:
    `newInstance` in interface `Spectrum`
  Overrides:
    `newInstance` in class `Collector3d`
  Returns:
    new instance of same class

### setZero

    public void setZero()

  Description copied from class: `Collector3d`
  Sets all values the instance to zero. Useful when the instance is still used as container for information/ results of the `LightModel` computation.

  Specified by:
    `setZero` in interface `Spectrum`
  Overrides:
    `setZero` in class `Collector3d`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD